%define	name	beep
%define	version	1.2.1
%define	release	2
%define	prefix	/usr

Summary:	Beep the pc speaker any number of ways.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Communications
URL:		http://www.johnath.com/beep/
Vendor:		Johnathan Nightingale <johnath@johnath.com>
Source:		%{name}-%{version}.tar.gz
Patch:		beep-1.0.2-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Beep allows the user to control the pc-speaker with precision,
allowing different sounds to indicate different events. While it
can be run quite happily on the commandline, it's intended place
of residence is within shell/perl scripts, notifying the user when
something interesting occurs. Of course, it has no notion of
what's interesting, but it's real good at that notifying part.

%prep
%setup -q
%patch -p1 -b .orig

%build
export CFLAGS="${RPM_OPT_FLAGS}";

make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man1}
make PREFIX=$RPM_BUILD_ROOT%{prefix} install
strip $RPM_BUILD_ROOT%{prefix}/bin/beep || :

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CREDITS README
%{prefix}/bin/beep
%{prefix}/man/man1/beep.1*

%changelog
* Tue Aug  8 2000 Ryan Weaver <ryanw@infohwy.com>
  [beep-1.2.1-2]
- Concern was voiced over my decision to setuid the beep binary.
  I have therefore removed the setuid from the binary. If you
  are using beep in X you must have setuid or it will not work.
  Please see README in the docs directory for more details.

* Sun Aug  6 2000 Ryan Weaver <ryanw@infohwy.com>
- installing beep with setuid so that users other than root
  can use it.
  [beep-1.2.1-1]
- fixed segfault when handling long options.

* Thu Jul 27 2000 Ryan Weaver <ryanw@infohwy.com>
  [beep-1.2.0-1]
- added -n/--new support - so beep FINALLY handles multiple
  beeps on a single command line.
- -f now takes decimal frequencies, not just whole numbers.

* Wed Jul 12 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.
- Patched Makefile to make rpm build easier.

  [beep-1.0.2-1]
- Added more common -V option, as companion to -v and --version
- README now addresses the question of multiple beeps, and
  composing music with beep.

  [beep-1.0.1-1]
- Fixed some outdated comments in the source, and a typo in the man page.

  [beep-1.0.0-1]
- added a SIGINT handler, so Ctrl-C no longer leaves the speaker
  wailing forever
- added -v/--version and -h/--help support
- updated man page
- this release is changed from 0.8 to 1.0.0, it's worthy of it.
  Feature complete and no outstanding bugs that I know of.

  [beep-0.6.1-1]
- changed man page to gzip format (instead of bzip2)
- updated man page and README to explain ioctl problems

  [beep-0.6-1]
- added -D option. Both -d and -D set inter-repetition delay,
  but -D instructs beep to delay even after the last beep,
  where -d delays only between beeps, and terminates immediately
  after last beep.
- incorporated Rick Franchuk's idea of stdin hooks - dear god -c is annoying.
- added a man page

  [beep-0.5-1]
- changed over from manually parsing command line parms to getopt()
- changed atoi() calls into sscanf() calls, to get more meaningful error 
  handling

  [beep-0.4-1]
- first useable
- initial options supported: -f, -l, -d, -r

